已解决
发布

首先我是全新安装的,如果想升级安装,自已找找sh文件
 

yum -y install wget screen curl python
wget http://mirrors.linuxeye.com/oneinstack-full.tar.gz
tar xzf oneinstack-full.tar.gz
cd oneinstack/src
wget http://tengine.taobao.org/download/tengine-2.1.2.tar.gz

下载最新的tengine,因为只有最新的2.1.2才支持httpv2
开始修改versions.txt文件,tengine_version改为2.1.2
修改include下的tengine.sh文件,第28行把–with-http_spdy_module修改为–with-http_v2_module,保存文件
这样修改以后再安装,就可以支持HTTP 2.0了
 
目前没有发现什么问题
 
 
 

1 答案

发布
管理员 2016-11-07

去年使用这个版本时候 加http2编译很多平台编译失败,所以没加,刚刚已经改了
如想使用tengine http2 请下载http://mirrors.linuxeye.com/oneinstack-full-beta.tar.gz

#1

请登录或者 注册 来提交答案